Redmine - Feature #6571

Totalise numeric columns
2010-10-05 00:06 - James Robertson
Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution:

Description

In the issue/ticket query/filter view, it would be help to see totals for (some) numeric columns.
For example we often need a total of the Estimated time column.

One simple option would be to show a total, at the bottom of the page, for any numeric field/column. Alternatively, it could be a
configuration option to show a total only for specified numeric fields.

Related issues:

Related to Redmine - Feature #1561: Totals for estimated/spent time and numer... Closed 2008-07-02
Related to Redmine - Patch #2268: Patch to show Total Estimated Time at the b... Closed 2008-12-03
Related to Redmine - Patch #4776: Totals for Estimated Time Closed 2010-02-09
Related to Redmine - Feature #8559: Sum columns in reports Closed 2011-06-07
History

#1 - 2010-10-08 19:31 - loic Le Gallou

+1. Remaining time computation based on Estimated time and progress would be also very usefull.

#2 - 2010-10-09 14:12 - Terence Mill

+1

#3 - 2010-10-12 01:18 - Mischa The Evil

James Robertson wrote:

[...] For example we often need a total of the Estimated time column.

This has been requested before in #1561 and has been patched-in in #2268 and the following issue #4776.

#4 - 2010-10-22 02:48 - James Robertson

- Assignee set to Mischa The Evil

Thanks Mischa The Evil. Patch #4776 looks good, we'll probably install that.

| still feel that this is a universally useful feature though, and should be included in the trunk. What's the protocol here - do | just leave this ticket open?

#5 - 2010-12-17 04:57 - Mischa The Evil
- Assignee deleted (Mischa The Evil)

James Robertson wrote:

[...] I still feel that this is a universally useful feature though, and should be included in the trunk. What's the protocol here - do | just leave this
ticket open?

Yes indeed, just leave it open and/or try to interest some more ppl for integration of this issue... :)

Note: I'm not actually working on this issue [sic] | have removed myself as the assignee...
#6 - 2011-09-05 06:40 - James Robertson

+1

I'd still like to (have the option to) display a total for any/every numeric field - not just estimated hours. Ideally the total of the the column should be
display and the total for all issues, if more than one page of results.

#7 - 2011-09-14 07:15 - James Robertson

- File redmine_totals.user.js added

| have hacked together a Greasemonkey/Scriptish user script for adding totals to any numeric column in the issue list, browser-side. I've provided the
script here in case it's of any use to anyone else.

Warning, I've only tested this in Chiliproject (Redmine fork). It's pretty fragile and relies on the table structure and class names remaining constant. |
hope someone finds it useful and /or wants to make it better :-)

#8 - 2011-10-26 06:13 - Mischa The Evil

As mentioned the first time by Tony Marschall in #8559 note-4, there exists a plugin which provides (parts of) this feature (along with some others):
Redmine spent time column. It's written by Jan Schulz-Hofen of plan.io.

I've started working on some improvements to make it better suitable for this issue in my fork of it:
https://github.com/MischaTheEvil/redmine_spent_time_column

#9 - 2013-03-22 12:54 - Zbynek Drlik

+1

#10 - 2013-06-27 22:02 - AnekcaHnp AnekcaHapyK

+1.

One simple option would be to show a total, at the bottom of the page, for any numeric field/column. Alternatively, it could be a configuration
option to show a total only for specified numeric fields.

It will be very usefull! Jean-Philippe Lang, Please add this feature in 2.4.0 :)

#11 - 2014-12-19 15:15 - Sebastian Paluch

+1

#12 - 2015-03-28 15:56 - Maxim Drozdov

+1

#13 - 2015-05-06 11:06 - Alexander Shirobokov

+1

#14 - 2015-11-27 09:09 - Sebastian Paluch

This one and bunch of related could be closed as the functionality was implemented by #1561.

#15 - 2015-12-27 05:38 - Toshi MARUYAMA

- Status changed from New to Closed

Sebastian Paluch wrote:

This one and bunch of related could be closed as the functionality was implemented by #1561.

Thank you for your pointing out.

Files

redmine_totals.user.js 3.19 KB 2011-09-14 James Robertson
